/*3992100789*/

/* (NKJV) 1 Chronicles 16:11;
"Seek the Lord and his strength, seek his face continually." */

:root {
    --sandy-gold: #AB9068;
    --black-cat-blue: #000022;
    --medieval-mahogany: #432433;
    --ruby-red: #A32927;
}

/*CURSOR:*/
html { cursor: url("assets/cursor/cursor-default.png"), default; }
html:active { cursor: url("assets/cursor/cursor-click.png"), default; }
a { cursor: url("assets/cursor/cursor-point.png"), pointer; }
a:active { cursor: url("assets/cursor/cursor-point-click.png"), pointer; }


@font-face { font-family: "Limit0"; src: url(/assets/ttf/8BitLimit0.ttf) format("truetype"); }
@font-face { font-family: "Limit"; src: url(/assets/ttf/8BitLimit.ttf) format("truetype"); }
@font-face { font-family: "FreePixel"; src: url(/assets/ttf/FreePixel.ttf) format("truetype"); }

html {
    box-sizing: border-box;
    
    position: relative;
    
    font-size: 17px;
}

body {
    background: radial-gradient(transparent 0%, black 100%), url(/Simon/IMGs/BG.png);
    background-color: black;
    background-attachment: fixed;
    
    height: 100vh;
    padding: 0;
    margin: 0;
    
    position: relative;
    
    font-family: "FreePixel", Helvetica;
    color: #AB9068;
    word-spacing: normal;
    line-height: 1.6em; 
}

#Rapper{
    min-height: 100%;
    
    position: absolute;
    left: 0;
    right: 0;
}

header {
    width: 90%;
    margin: 20px auto;
    
    display: flex;
    align-items: center;
} #Logo {
    margin: 0 100px 0 0;
} #Logo img {
    width: 200px;
    
    border: solid var(--medieval-mahogany) 10px;
} header h1 {
    color: var(--medieval-mahogany);   
}

table {
    position: relative;
}

#Screen {
    
    background: black;
    
    width: 60%;
    height: 30vh;
    
    padding: 0 20px 20px;    
    border: solid var(--medieval-mahogany) 10px;
    margin: auto;

    position: relative; 
}

.blue-box {
    background-color: var(--black-cat-blue); 
    border-width: 5px; 
    border-color: #AB9068; 
    border-style: solid; 
    margin: 20px 0; 
    padding: 20px 0;
    position: relative;
    backdrop-filter: blur(5px);
}

/*I have spent weeks fine-tuning these sizes -_-*/
h2 {
    font-size: 3.5rem;
}
h3 {
    font-size: 2.5rem;
}
h4 {
    font-size: 2.3rem;
}
h5 {
    font-size: 1.5rem;
}
h6 {
    font-size: 1rem;
}
p {
    font-size: 1rem;
}
small {
    font-size: 0.8rem;
}

/*h1 is only used for the large header at the top of the page*/
h1 {
    color: #000000;
    font-family: "Limit0", Helvetica;
    text-shadow: #000022 -7px -7px;
    font-weight: normal;
    font-size: 170px;
    margin: 0 0 1rem;
    line-height: 1.2em;
}

/*Big headings have a different font and style*/
h2, h3 {
    color: #000022;
    font-family: "Limit", Helvetica;
    text-shadow: #AB9068 -2px 2px, #AB9068 -2px -2px, #AB9068 2px -2px, #AB9068 2px 2px;
    margin: 0 0 1rem;
    line-height: 1.2em;
    font-weight: normal;
}
/*Small headings have the default font and style*/
h4, h5, h6 {
    margin: 0 0 1rem;
    font-weight: bold;
    line-height: 1em;
}

p {
    margin: 0 0 1rem;
    text-align: justify;
}
small {
    display: inline-block;
    line-height: 1.3em;
}

/*Highlights:*/
::selection {
background-color: var(--black-cat-blues);
color: white;
} ::-moz-selection {
background-color: var(--black-cat-blues);
color: white;
} ::-o-selection {
background-color: var(--black-cat-blues);
color: white;
} ::-ms-selection {
background-color: var(--black-cat-blues);
color: white;
} ::-webkit-selection {
background-color: var(--black-cat-blues);
color: white;
} img::selection {
background-color: var(--black-cat-blues); 
} iframe::selection {
background-color: var(--black-cat-blues); 
}



/*Text Links:*/
a:not(:has(img)) {
    color: #4F4980;
    font-weight: bold;
}
a:not(:has(img)):hover {
    color: #FFFFFF;
    background: #4F4980;
    text-decoration: none;
}
/*Text Links for Big Headings:*/
h1 a, h2 a, h3 a {
    color: #000022;
    text-decoration: underline;
    font-weight: normal;
}
h1 a:hover, h2 a:hover, h3 a:hover {
    color: #FFFFFF;
    background-color: #000022;
    font-weight: normal;
}
/*Image Links:*/
a:has(img) {
    transition: transform .2s;
}
a:has(img):hover {
    opacity: 0.8; 
}
a:has(img):active {
    transform: scale(0.9);
}

.red {
    color: #C43635;
} a.red:hover {
    color: #FFFFFF;
    background-color: #C43635;
}

.orange {
    color: #EB9233;
} a.orange:hover {
    color: #FFFFFF;
    background-color: #EB9233;
}

.yellow {
    color: #FFFF43;
} a.yellow:hover {
    color: #FFFFFF;
    background-color: #FFFF43;
}

.green {
    color: #58CB30;
} a.green:hover {
    color: #FFFFFF;
    background-color: #58CB30;
}

.blue {
    color: #075DB2;
} a.blue:hover {
    color: #FFFFFF;
    background-color: #075DB2;
}

.indigo {
    color: #1F0398;
} a.indigo:hover {
    color: #FFFFFF;
    background-color: #1F0398;
}

.violet {
    color: #4F4980;
} a.violet:hover {
    color: #FFFFFF;
    background-color: #4F4980;
}

.white {
    color: #FFFFFF;
} a.white:hover {
    color: #FFFFFF;
    background-color: #0000FF;
}

hr {
    height:5px;
    background-color: #AB9068;
    border-width: 0;
    margin-bottom: 15px;
}

.flex-center {
    display: flex;
    justify-content: center;
}

button {
    font-family: "FreePixel", Helvetica;
    cursor: url(assets/cursor/cursor-point.png), pointer;
    background-color: #000022;
    color: #ffffff;
}
button:active {
    cursor: url("assets/cursor/cursor-point-click.png"), pointer;
}

/*============================== ANIMATIONS: ==============================*/
.zoom {
    transition: transform .2s; 
} .zoom:hover {
    transform: scale(1.1);
} .zoom:active {
    transform: scale(0.9);
    opacity: 0.7;
}

.blink {
    font-weight: bold;
    animation: 2s blinker linear infinite;
    -webkit-animation: 2s blinker linear infinite;
    -moz-animation: 2s blinker linear infinite;
}
@-moz-keyframes blinker {  
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}
@-webkit-keyframes blinker {  
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}
@keyframes blinker {  
    0% { opacity: 1.0; }
    50% { opacity: 0.0; }
    100% { opacity: 1.0; }
}

/*CRT*/
/*Credit to Alec Clownes for compiling effects and making a tutorial @ https://aleclownes.com/2017/02/01/crt-display.html*/
/*Credit to Lucas Bebber for the screen door effect and flicker animation*/
/*Screen Door Effect:*/
.crt::before {
    content: " ";
    
    background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
    background-size: 100% 2px, 3px 100%;
    
    display: block;
    
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    
    z-index: 99;
    
    pointer-events: none;
}
/*Flicker Animation*/
@keyframes flicker {
    0% { opacity: 0.27861; }
    5% { opacity: 0.34769; }
    10% { opacity: 0.23604; }
    15% { opacity: 0.90626; }
    20% { opacity: 0.18128; }
    25% { opacity: 0.83891; }
    30% { opacity: 0.65583; }
    35% { opacity: 0.67807; }
    40% { opacity: 0.26559; }
    45% { opacity: 0.84693; }
    50% { opacity: 0.96019; }
    55% { opacity: 0.08594; }
    60% { opacity: 0.20313; }
    65% { opacity: 0.71988; }
    70% { opacity: 0.53455; }
    75% { opacity: 0.37288; }
    80% { opacity: 0.71428; }
    85% { opacity: 0.70419; }
    90% { opacity: 0.70030; }
    95% { opacity: 0.36108; }
    100% { opacity: 0.24387; }
}
.crt::after {
    content: " ";
    
    background: rgba(18, 16, 16, 0.1);
    
    display: block;
    
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    
    opacity: 0;
    
    z-index: 2;
    
    pointer-events: none;
    
    animation: flicker 0.15s infinite;
}

/* Trophy toast: */
#Toast {
    color: #C43635;
    font-weight: bold;
    font-size: 18px;
    
    display: flex;
    justify-content: center;
    align-items: center;
    
    height: 30px;
    
    background: url(assets/wall_dark.jpg);
    background-color: #100d06B0;
    
    padding: 20px;
    
    border-color: #1d1d15;
    border-style: solid;
    border-width: 12px;
    
    margin: 15px;
    
    position: fixed;
    top: 0;
    right: 0;
    
    animation: toastFadeOut 2s ease-in 1s forwards;
} @keyframes toastFadeOut {
    0% { opacity: 1; }
    100% { opacity: 0; }
}

.playerAction {
    font-weight: bold;
    border: none;
    width: 100%;
    background: transparent;
    color: #AB9068;
    padding: 0;
}
.playerAction p{
    padding: 10px;
    margin: 0;
}
.playerAction:hover {
    background: #AB9068;
    font-weight: bold;
    color: black;
    cursor: url("assets/cursor/cursor-point.png"), pointer;
}
.playerAction:active {
    cursor: url("assets/cursor/cursor-point-click.png"), pointer;
}

#Bottom {
    width: 90vw;
    height: 40vh;   
}

#PlayerStats {
background: var(--medieval-mahogany);

width: 100%;
height: 10%;

position: absolute;
top: 0;
left: 0;

display: flex;

font-weight: bold;   
}
#PlayerStats p {
    margin: 10px;   
}

#MonsterStats {
background: #000022;

width: 100%;
height: 10%;

position: absolute;
bottom: 0;
left: 0;

display: flex;

font-weight: bold;   
}
#MonsterStats p {
    margin: 10px;   
}

#PlayerInventoryText {
    padding: 0 10px; 
    overflow-y: scroll;
}

.playerAction:has(p:empty) {
    display: none;
}

#MonsterStats:has(#MonsterNameText:empty) {
    display: none;
}
    

/*Semper Record,,*/
/*-8*/